Skip to main content
PUT
/
public
/
v2
/
customer-refunds
/
{record_number}
/
Update CustomerRefund record
curl --request PUT \
  --url https://api.dualentry.com/public/v2/customer-refunds/{record_number}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "date": "2023-12-25",
  "company_id": 123,
  "customer_id": 123,
  "account_number": 123,
  "exchange_rate": 123,
  "custom_fields": [
    {}
  ],
  "transaction_date": "2023-12-25",
  "check_number": "",
  "memo": "",
  "items": [],
  "attachments": [],
  "bank_or_credit_card_amount": "0.00",
  "payment_method_id": 123,
  "record_status": "posted"
}
'
import requests

url = "https://api.dualentry.com/public/v2/customer-refunds/{record_number}/"

payload = {
"date": "2023-12-25",
"company_id": 123,
"customer_id": 123,
"account_number": 123,
"exchange_rate": 123,
"custom_fields": [{}],
"transaction_date": "2023-12-25",
"check_number": "",
"memo": "",
"items": [],
"attachments": [],
"bank_or_credit_card_amount": "0.00",
"payment_method_id": 123,
"record_status": "posted"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date: '2023-12-25',
company_id: 123,
customer_id: 123,
account_number: 123,
exchange_rate: 123,
custom_fields: [{}],
transaction_date: '2023-12-25',
check_number: '',
memo: '',
items: [],
attachments: [],
bank_or_credit_card_amount: '0.00',
payment_method_id: 123,
record_status: 'posted'
})
};

fetch('https://api.dualentry.com/public/v2/customer-refunds/{record_number}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transaction_ids": [
    123
  ],
  "internal_id": 123,
  "number": 123,
  "account_number": 123,
  "items": [
    {
      "amount": "<string>",
      "position": 123,
      "bank_or_credit_card_amount": "<string>",
      "customer_credit_number": 123,
      "customer_prepayment_number": 123
    }
  ],
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "customer_id": 123,
  "customer_name": "<string>",
  "memo": "<string>",
  "check_number": "<string>",
  "date": "2023-12-25",
  "transaction_date": "2023-12-25",
  "exchange_rate": "<string>",
  "bank_or_credit_card_amount": "<string>",
  "amount": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "custom_fields": [],
  "attachments": [],
  "classifications": [],
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "payment_method_id": 123
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Body

application/json
date
string<date>
required
company_id
integer
required
customer_id
integer
required
account_number
integer
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
required
custom_fields
Custom Fields · object[] | null
transaction_date
string<date> | null
check_number
string
default:""
memo
string
default:""
items
PublicCustomerRefundItemIn · object[]
attachments
AttachmentSchemaOut · object[]
bank_or_credit_card_amount
default:0.00

Bank or credit card amount

Required range: x >= 0
payment_method_id
integer | null
record_status
enum<string>
default:posted
Available options:
draft,
posted,
archived

Response

OK

transaction_ids
integer[]
required
internal_id
integer
required
number
integer
required
account_number
integer | null
required
items
PublicCustomerRefundItemOut · object[]
required
company_id
integer
required
company_name
string
required
company_currency
string
required
customer_id
integer
required
customer_name
string
required
memo
string
required
check_number
string
required
date
string<date>
required

Posting date (GL date) - the date when the transaction is recorded in the general ledger

transaction_date
string<date>
required

Transaction date (inception date) - the date when the transaction actually occurred

currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
bank_or_credit_card_amount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
amount
string
required

Total transaction amount

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
record_status
enum<string>
required
Available options:
draft,
posted,
archived
paper_check_status
enum<string> | null
required
Available options:
printed,
not_printed,
archived
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

custom_fields
CustomFieldValuePairOutputSchema · object[]
attachments
PublicAttachmentSchemaOut · object[]
classifications
PublicRecordClassificationsSchemaOut · object[]
created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

payment_method_id
integer | null
Last modified on July 13, 2026